import request from '@/server'

// 列表 {"page":1,"limit":15,"isSub":1,"type":1}
export function crmMessageCheckOrderAPI (data) {
  return request({
    url: 'CrmBackLog/endOrder',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * 待办消息数
 * @param {*} data
 */
export function crmMessagNumAPI () {
  return request({
    url: 'CrmBackLog/num',
    method: 'post',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// orderId=14617 form data
export function crmOrderRead (data) {
  return request({
    url: 'CrmOrder/queryById',
    method: 'post',
    data: data
  })
}

// orderId=14617&pageType=0 form data
export function crmOrderProduct (data) {
  return request({
    url: 'CrmOrder/qureyProductListByorderId',
    method: 'post',
    data: data
  })
}

// 审核合同或者回款 id=14617&recordId=5243&status=1&remarks=2   status 1 通过审核 4 撤回审核 status 2 拒绝  1通过 0拒绝 2撤回
//  // 审核状态 1 审核通过 2 审核拒绝 4 已撤回
//  这个接口是审批通过的接口
export function crmExamineFlowAuditExamine (data) {
  return request({
    url: 'examineRecord/auditExamine',
    method: 'post',
    data: data
  })
}

/**
 *
 * @description 给宋老师单独增加的接口 {"remark":"2","orderId":14617,"bill":"1","batchId":"1818488653500960770"}
 * // 这个是审批是给审批单子额外加备注的接口
 */
export function addSonglaoshiRemark (data) {
  return request({
    url: '/CrmOrder/updateOrderRemark',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 客户管理下 合同审批信息 新建 recordId=5243&ownerUserId=60&crmType=crm_order

export function crmExamineFlowStepList (data) {
  console.log('合同审批信息:', data)
  return request({
    url: 'examineRecord/queryExamineRecordList',
    method: 'post',
    data: data
  })
}

/**
 * 审批记录
 * @param {*} data  recordId=5243&crmType=crm_order
 * types
 * typesId
 */
export function crmExamineFlowRecordList (data) {
  return request({
    url: 'examineRecord/queryExamineLogList',
    method: 'post',
    data: data
  })
}

/**
 * 根据orderId获取购买的产品
 * @param {*} data  orderId=5243&pageType
 * types
 * typesId
 */
export function getProductByOrderId (data) {
  return request({
    url: 'CrmOrder/qureyProductListByorderId',
    method: 'post',
    data: data
  })
}
