import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
  {
    path: '/',
    name: '',
    redirect: '/login'
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/login.vue')
  },
  {
    path: '/todo',
    name: 'todo',
    component: () => import('@/views/todo.vue')
  },
  {
    path: '/todoDetail',
    name: 'todoDetail',
    meta: {
      title: '审批订单'
    },
    component: () => import('@/views/todoDetail.vue')
  },
  {
    path: '/orderDetail',
    name: 'orderDetail',
    meta: {
      title: '订单详情'
    },
    component: () => import('@/views/orderDetail.vue')
  },
  {
    path: '/productList',
    name: 'productList',
    meta: {
      title: '产品列表'
    },
    component: () => import('@/views/productList.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes
})

export default router
