import { defineStore } from 'pinia'
import { ref } from 'vue'
import { login } from '@/api/user'
import router from '@/router'

export const useUserStore = defineStore('useUserStore', () => {
  const userInfo = ref({
    token: ''
  })

  const code = ref('')
  const _login = async (_data) => {
    const data = await login(_data)
    if (data.code === 0) {
      // eslint-disable-next-line no-undef
      userInfo.value = {
        ...data,
        token: data['Admin-Token']
      }
      router.push({
        path: '/todo'
      })
    }
    return data.code
  }

  const logout = () => {
    userInfo.value = {
      id: '',
      name: '',
      phone: '',
      token: ''
    }
    router.push({
      path: '/login'
    })
  }

  return {
    userInfo,
    code,
    login: _login,
    logout
  }
}, {
  persist: true
})
