import wx from 'weixin-js-sdk'
import axios from 'axios'

/**
 * @description 微信登录
 *
 */

export const WxLogin = (url = '/') => {
  const appid = 'wxe87236d542cd0f94'
  const URL = 'https://luojigou.vip/training/#' + url
  const redirect_uri = encodeURIComponent(URL)
  const state = 1
  window.location.replace(`https://open.weixin.qq.com/connect/oauth2/authorize?&appid=${appid}&redirect_uri=${redirect_uri}&response_type=code&scope=snsapi_userinfo&state=${state}#wechat_redirect`)
}

/**
  * @description 获取url 中的 code
  */
export function getQueryString (name) {
  let reg = new RegExp(`(^|&)${name}=([^&]*)(&|$)`, 'i')
  let r = window.location.search.substr(1).match(reg) // 获取url中"?"符后的字符串并正则匹配
  let context = ''
  if (r != null) { context = r[2] }
  reg = null
  r = null
  return context == null || context === '' || context === 'undefined' ? '' : context
}

// export function getWxUserINfo () {
//   axios.get(`https://api.weixin.qq.com/sns/oauth2/access_token?appid=${wxe87236d542cd0f94}&secret=SECRET&code=CODE&grant_type=authorization_code`)
// }

/**
 *
 * @description 获取用户地理位置
 *
 */

export function getLocation () {
  return new Promise(async (resolve, reject) => {
    const r = await axios.get(`/zd-api//user-training/h5/visitor/wechat/location?url=${encodeURIComponent(window.location.href.split('#')[0])}`)

    const data = r.data.data
    // console.log(data, 'data');
    wx.config({
      debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
      appId: data.appId, // 必填，公众号的唯一标识
      timestamp: data.timestamp, // 必填，生成签名的时间戳
      nonceStr: data.nonceStr, // 必填，生成签名的随机串
      signature: data.signature, // 必填，签名
      jsApiList: ['getLocation'] // 必填，需要使用的JS接口列表
    })

    wx.ready(() => {
      wx.getLocation({
        type: 'wgs84', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
        success: function (res) {
          console.log(res, 'wgs84')
          // var latitude = res.latitude // 纬度，浮点数，范围为90 ~ -90
          // var longitude = res.longitude // 经度，浮点数，范围为180 ~ -180。
          // var speed = res.speed // 速度，以米/每秒计
          // var accuracy = res.accuracy // 位置精度
          resolve(res)
        },
        fail: (err) => {
          reject(err)
        }
      })
    })
  })
}
